# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rustle/version'

Gem::Specification.new do |spec|
  spec.name          = "rustle"
  spec.version       = Rustle::VERSION
  spec.authors       = ["Andrew Hamon", "Steven Petryk"]
  spec.email         = ["and.ham95@gmail.com", "petryk.steven@gmail.com"]
  spec.description   = %q{Rustle is a gem that allows you to control an individually-addressable RGB LED strip via Ruby (with an Arduino acting as a middleman for PWM controls).}
  spec.summary       = %q{Control an individually-addressable RGB LED strip in Ruby.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib", "lib/transitions"]

  spec.add_runtime_dependency 'active_support', '~> 3.0', '>= 3.0.0'
  spec.add_runtime_dependency 'serialport', '~> 1.3', '>= 1.3.0'

  spec.add_development_dependency 'bundler', "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency 'rspec', '~> 2.14', '>= 2.14.1'
end
