require 'spec_helper'

describe Rustle::Receiver do
  describe "#initialize" do
    let(:receiver) do
      Rustle::Receiver.new(nil, num_leds: 30, debug: true)
    end

    it "should intantiate a Strip with the appropriate number of LEDs" do
      expect(receiver.strip).to be_a(Rustle::Strip)
      expect(receiver.strip.num_leds).to eq(30)
    end

    it "should only require a portfile when not in debug mode" do
      expect { Rustle::Receiver.new(nil, debug: false) }
        .to raise_error(Rustle::PortFileNotSpecified)
      expect { Rustle::Receiver.new(nil, debug: true) }
        .not_to raise_error
    end
  end

  describe "#push_frame" do
    let(:receiver) do
      Rustle::Receiver.new(nil, num_leds: 30, debug: true)
    end

    it "should send a frame to the port" do
      frame = Rustle::Frame.new([Rustle::Color.new(0,0,0)] * 30)
      expect(receiver.push_frame(frame)).to have(91).items
    end
  end
end
